psi25interaction {Rintact} | R Documentation

## parser for PSI-MI 2.5 XML documents from EBI intact

### Description

The PSI-MI 2.5 XML format is used by EBI IntAct database to record protein-protein interaction data and protein complex data. `psi25interaction` is the parser for interaction data and `psi25complex` is the parser for complex data.

### Usage

    psi25interaction(intactFile)
    psi25complex(intactFile)

### Arguments

`intactFile` | character, file name or URL of the XML document

### Value

`psi25interaction` returns a list of `interactionEntry` objects, each represents one `entry` in the XML document. `psi25complex` returns an `complexEntry` object, which represents the data from one XML document.

### Author(s)

Nianhua Li

### References

The IntAct Database http://www.ebi.ac.uk/intact/site/contents/downloads.jsf.

### See Also

`interactionEntry-class`, `complexEntry-class`

### Examples

    # parse complex data
    fn <- system.file("PSI25XML/complexSample.xml", package="Rintact")
    complexData <- psi25complex(fn)
    complexData

    # parse interaction data
    fn <- system.file("PSI25XML/interactionSample.xml", package="Rintact")
    interactionData <- psi25interaction(fn)
    interactionData

[Package Rintact version 1.4.0 Index]